List Connections.
curl --request GET \
--url https://api-m.sandbox.paypal.com/v2/invoicing/accounting-sync/merchant/connections \
--header 'Authorization: Bearer <token>'{
"connections": [
{
"platform_name": "<string>",
"last_sync_time": "<string>"
}
]
}{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"details": [
{
"issue": "<string>",
"field": "<string>",
"value": "<string>",
"location": "body",
"description": "<string>"
}
],
"debug_id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"details": [
{
"issue": "<string>",
"field": "<string>",
"value": "<string>",
"location": "body",
"description": "<string>"
}
],
"debug_id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}{
"name": "RESOURCE_NOT_FOUND",
"message": "The specified resource does not exist.",
"details": [
{
"issue": "<string>",
"field": "<string>",
"value": "<string>",
"location": "body",
"description": "<string>"
}
],
"debug_id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error occurred.",
"debug_id": "90957fca61718",
"links": [
{
"href": "https://developer.paypal.com/api/orders/v2/#error-INTERNAL_SERVER_ERROR",
"rel": "information_link"
}
]
}{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"details": [
{
"issue": "<string>",
"field": "<string>",
"value": "<string>",
"location": "body",
"description": "<string>"
}
],
"debug_id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}List Connections.
Lists connections to accounting platforms per merchant.
GET
/
v2
/
invoicing
/
accounting-sync
/
merchant
/
connections
List Connections.
curl --request GET \
--url https://api-m.sandbox.paypal.com/v2/invoicing/accounting-sync/merchant/connections \
--header 'Authorization: Bearer <token>'{
"connections": [
{
"platform_name": "<string>",
"last_sync_time": "<string>"
}
]
}{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"details": [
{
"issue": "<string>",
"field": "<string>",
"value": "<string>",
"location": "body",
"description": "<string>"
}
],
"debug_id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"details": [
{
"issue": "<string>",
"field": "<string>",
"value": "<string>",
"location": "body",
"description": "<string>"
}
],
"debug_id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}{
"name": "RESOURCE_NOT_FOUND",
"message": "The specified resource does not exist.",
"details": [
{
"issue": "<string>",
"field": "<string>",
"value": "<string>",
"location": "body",
"description": "<string>"
}
],
"debug_id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error occurred.",
"debug_id": "90957fca61718",
"links": [
{
"href": "https://developer.paypal.com/api/orders/v2/#error-INTERNAL_SERVER_ERROR",
"rel": "information_link"
}
]
}{
"name": "INVALID_REQUEST",
"message": "Request is not well-formed, syntactically incorrect, or violates schema.",
"details": [
{
"issue": "<string>",
"field": "<string>",
"value": "<string>",
"location": "body",
"description": "<string>"
}
],
"debug_id": "<string>",
"links": [
{
"href": "<string>",
"rel": "<string>"
}
]
}Authorizations
Oauth 2.0 authentication
Response
A successful request returns the HTTP 200 OK status code and a JSON response body.
This object contains an array of connection details. It is used to load sync status for a user.
An array of connection-level details.
Required array length:
1 - 1000 elementsShow child attributes
Show child attributes
Was this page helpful?
⌘I